#ifndef _MCLRS232USBTOSPI_H
#define _MCLRS232USBTOSPI_H

#include <cviauto.h>

#ifdef __cplusplus
    extern "C" {
#endif
extern const IID MCLRS232USBToSPI_IID__USB_To_SPI;

HRESULT CVIFUNC MCLRS232USBToSPI_New_USB_To_SPI (const char *server,
                                                 int supportMultithreading,
                                                 LCID locale, int reserved,
                                                 CAObjHandle *objectHandle);

HRESULT CVIFUNC MCLRS232USBToSPI_Open_USB_To_SPI (const char *fileName,
                                                  const char *server,
                                                  int supportMultithreading,
                                                  LCID locale, int reserved,
                                                  CAObjHandle *objectHandle);

HRESULT CVIFUNC MCLRS232USBToSPI_Active_USB_To_SPI (const char *server,
                                                    int supportMultithreading,
                                                    LCID locale, int reserved,
                                                    CAObjHandle *objectHandle);

HRESULT CVIFUNC MCLRS232USBToSPI__USB_To_SPIGet_Available_SN_List (CAObjHandle objectHandle,
                                                                   ERRORINFO *errorInfo,
                                                                   char **SN_List,
                                                                   short *arg2);

HRESULT CVIFUNC MCLRS232USBToSPI__USB_To_SPIGetStatus (CAObjHandle objectHandle,
                                                       ERRORINFO *errorInfo,
                                                       short *arg1);

HRESULT CVIFUNC MCLRS232USBToSPI__USB_To_SPIRead_ModelName (CAObjHandle objectHandle,
                                                            ERRORINFO *errorInfo,
                                                            char **modelName,
                                                            short *arg2);

HRESULT CVIFUNC MCLRS232USBToSPI__USB_To_SPIRead_SN (CAObjHandle objectHandle,
                                                     ERRORINFO *errorInfo,
                                                     char **SN, short *arg2);

HRESULT CVIFUNC MCLRS232USBToSPI__USB_To_SPISend_SPI (CAObjHandle objectHandle,
                                                      ERRORINFO *errorInfo,
                                                      char **str_to_send,
                                                      short *arg2);

HRESULT CVIFUNC MCLRS232USBToSPI__USB_To_SPISet_PulsWidth (CAObjHandle objectHandle,
                                                           ERRORINFO *errorInfo,
                                                           short *pulsWidth,
                                                           short *arg2);

HRESULT CVIFUNC MCLRS232USBToSPI__USB_To_SPIRead_SPI (CAObjHandle objectHandle,
                                                      ERRORINFO *errorInfo,
                                                      short *noOfBit,
                                                      short *waitForReady,
                                                      char **str_Ret,
                                                      short *arg4);

HRESULT CVIFUNC MCLRS232USBToSPI__USB_To_SPIConnect (CAObjHandle objectHandle,
                                                     ERRORINFO *errorInfo,
                                                     const char *SN, short *arg2);

HRESULT CVIFUNC MCLRS232USBToSPI__USB_To_SPIDisconnect (CAObjHandle objectHandle,
                                                        ERRORINFO *errorInfo);
#ifdef __cplusplus
    }
#endif
#endif /* _MCLRS232USBTOSPI_H */
