//==============================================================================
//
// Title:       MclSpiExm
// Purpose:     A short description of the application.
//
// Created on:  30/04/2010 at 12:52:54 by prog.
// Copyright:   . All Rights Reserved.
//
//==============================================================================

//==============================================================================
// Include files

#include "CVI_SPI.h"
#include <ansi_c.h>
#include <cvirte.h>     
#include <userint.h>
#include "MclSpiExm.h"
#include "toolbox.h"

//==============================================================================
// Constants

//==============================================================================
// Types

//==============================================================================
// Static global variables

static int panelHandle;

//==============================================================================
// Static functions

//==============================================================================
// Global variables

//==============================================================================
// Global functions

/// HIFN The main entry-point function.
int main (int argc, char *argv[])
{
    int error = 0;
    
    /* initialize and load resources */
    nullChk (InitCVIRTE (0, argv, 0));
    errChk (panelHandle = LoadPanel (0, "MclSpiExm.uir", PANEL));
    
    /* display the panel and run the user interface */
    errChk (DisplayPanel (panelHandle));
    errChk (RunUserInterface ());

Error:
    /* clean up */
    DiscardPanel (panelHandle);
    return 0;
}

//==============================================================================
// UI callback function prototypes

/// HIFN Exit when the user dismisses the panel.
int CVICALLBACK panelCB (int panel, int event, void *callbackData,
        int eventData1, int eventData2)
{
    if (event == EVENT_CLOSE)
        QuitUserInterface (0);
    return 0;
}

int CVICALLBACK SendF (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	
	
	  
	
		char *Bin;
		Bin = (char * )malloc(7*sizeof(char));
		Bin[0] = '1';
		Bin[1] = '1';  
		Bin[2] = '1';  
		Bin[3] = '0';  
		Bin[4] = '0';  
		Bin[5] = '1';  
		Bin[6] = '\0';  
		
		CAObjHandle obj;
		MCLRS232USBToSPI_New_USB_To_SPI(NULL,1,LOCALE_NEUTRAL,0,&obj);
		MCLRS232USBToSPI__USB_To_SPIConnect(obj,NULL,(char *)"",0);
		MCLRS232USBToSPI__USB_To_SPISend_SPI(obj,NULL,&Bin,0);

	return 0;
}
